Subject: RE: [PATCH] powerpc: document new interrupt-array property

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 24 Feb 2007 07:42:09 +0100

> Maybe:
>        interrupts        = < a 1 4   b 1 4   0 4   1 4   2 4 >
>        interrupt-parents = <&UIC0 &UIC0 &UIC1 &UIC1 &UIC1>
> 
> You don't know how many cells per interrupt until you traverse up to
> the interrupt parent.
> 
> I understand some properties only make sense together, but only
> can be parsed together seems ugly.

That's already the case with interrupt-map's anyway. I don't have a firm
preference between the options of interrupt-array and interrupt-parents,
they both have strenghts, though I tend to grow on segher's approach
here.

Ben.